<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: src Directory Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('dir_c5d95abdcafe7d1171548eb561d7ce37.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">src Directory Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="files"></a>
Files</h2></td></tr>
<tr class="memitem:_afro_bldc_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_afro_bldc_8h.html">AfroBldc.h</a> <a href="_afro_bldc_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_afro_bldc_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class for Mikrokopter's blctrlv2. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_battery_monitor_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_battery_monitor_8h.html">BatteryMonitor.h</a> <a href="_battery_monitor_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_battery_monitor_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Base class for battery monitor. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_bl_ctrl_v2_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_bl_ctrl_v2_8h.html">BlCtrlV2.h</a> <a href="_bl_ctrl_v2_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_bl_ctrl_v2_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class for Mikrokopter's blctrlv2. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_bl_ctrl_v2__x4__speed_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><b>BlCtrlV2_x4_speed.h</b> <a href="_bl_ctrl_v2__x4__speed_8h_source.html">[code]</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_bldc_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_bldc_8h.html">Bldc.h</a> <a href="_bldc_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_bldc_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Base class for brushless motors drivers. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_camera_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_camera_8h.html">Camera.h</a> <a href="_camera_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_camera_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Base class for Camera. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_controller_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><b>Controller.h</b> <a href="_controller_8h_source.html">[code]</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_emulated_controller_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><b>EmulatedController.h</b> <a href="_emulated_controller_8h_source.html">[code]</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_gx3__25__imu_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_gx3__25__imu_8h.html">Gx3_25_imu.h</a> <a href="_gx3__25__imu_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_gx3__25__imu_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class for 3dmgx3-25 Imu. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_hokuyo_u_t_m30_lx_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_hokuyo_u_t_m30_lx_8h.html">HokuyoUTM30Lx.h</a> <a href="_hokuyo_u_t_m30_lx_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_hokuyo_u_t_m30_lx_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Classe intégrant le telemetre laser Hokuyo UTM 30lx. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_host_eth_controller_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><b>HostEthController.h</b> <a href="_host_eth_controller_8h_source.html">[code]</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_imu_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_imu_8h.html">Imu.h</a> <a href="_imu_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_imu_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Base class for Imu. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_laser_range_finder_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_laser_range_finder_8h.html">LaserRangeFinder.h</a> <a href="_laser_range_finder_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_laser_range_finder_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Classe generique des telemetres laser. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_mb800_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_mb800_8h.html">Mb800.h</a> <a href="_mb800_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_mb800_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class for mb800 gps receiver. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_neo_m8_n_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_neo_m8_n_8h.html">NeoM8N.h</a> <a href="_neo_m8_n_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_neo_m8_n_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class for NeoM8N gps receiver. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_nmea_gps_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_nmea_gps_8h.html">NmeaGps.h</a> <a href="_nmea_gps_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_nmea_gps_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Base class for GPS using NMEA sentances. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_novatel_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_novatel_8h.html">Novatel.h</a> <a href="_novatel_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_novatel_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class for Novatel gps receiver. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_pressure_sensor_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_pressure_sensor_8h.html">PressureSensor.h</a> <a href="_pressure_sensor_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_pressure_sensor_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Base class for PressureSensor. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_ps3_eye_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_ps3_eye_8h.html">Ps3Eye.h</a> <a href="_ps3_eye_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_ps3_eye_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class for Ps3Eye camera. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_radio_receiver_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_radio_receiver_8h.html">RadioReceiver.h</a> <a href="_radio_receiver_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_radio_receiver_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Base class for radio receiver. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_simulated_bldc_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_simulated_bldc_8h.html">SimulatedBldc.h</a> <a href="_simulated_bldc_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_simulated_bldc_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class for a simulation bldc. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_simulated_camera_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_simulated_camera_8h.html">SimulatedCamera.h</a> <a href="_simulated_camera_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_simulated_camera_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class for a simulation camera. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_simulated_gps_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_simulated_gps_8h.html">SimulatedGps.h</a> <a href="_simulated_gps_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_simulated_gps_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class for a simulation GPS. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_simulated_imu_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_simulated_imu_8h.html">SimulatedImu.h</a> <a href="_simulated_imu_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_simulated_imu_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class for a simulation Imu. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_simulated_laser_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><b>SimulatedLaser.h</b> <a href="_simulated_laser_8h_source.html">[code]</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_simulated_pressure_sensor_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_simulated_pressure_sensor_8h.html">SimulatedPressureSensor.h</a> <a href="_simulated_pressure_sensor_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_simulated_pressure_sensor_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class for a simulation PressureSensor. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_simulated_us_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_simulated_us_8h.html">SimulatedUs.h</a> <a href="_simulated_us_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_simulated_us_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class for a simulation UsRangeFinder. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_srf08_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_srf08_8h.html">Srf08.h</a> <a href="_srf08_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_srf08_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class for ultra sonic SRF08. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_target_controller_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><b>TargetController.h</b> <a href="_target_controller_8h_source.html">[code]</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_target_eth_controller_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><b>TargetEthController.h</b> <a href="_target_eth_controller_8h_source.html">[code]</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_us_range_finder_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_us_range_finder_8h.html">UsRangeFinder.h</a> <a href="_us_range_finder_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_us_range_finder_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Base class for UsRangeFinder. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_v4_l_camera_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_v4_l_camera_8h.html">V4LCamera.h</a> <a href="_v4_l_camera_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_v4_l_camera_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Base class for V4l camera. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_vrpn_client_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_vrpn_client_8h.html">VrpnClient.h</a> <a href="_vrpn_client_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_vrpn_client_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class to connect to a Vrpn server. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_vrpn_object_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_vrpn_object_8h.html">VrpnObject.h</a> <a href="_vrpn_object_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_vrpn_object_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class for VRPN object. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_x_bldc_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_x_bldc_8h.html">XBldc.h</a> <a href="_x_bldc_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_x_bldc_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class for Xufo Bldc. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_33c2ee9b1665499374b4225c427cf176.html">igep</a></li><li class="navelem"><a class="el" href="dir_f1fe274389177bd7e17de7949c4ffada.html">flair-src</a></li><li class="navelem"><a class="el" href="dir_3ef62148cf94871b4b6ee5d6e3a989c1.html">lib</a></li><li class="navelem"><a class="el" href="dir_6e0f9c50eed172896c55a6e61952176b.html">FlairSensorActuator</a></li><li class="navelem"><a class="el" href="dir_c5d95abdcafe7d1171548eb561d7ce37.html">src</a></li>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:24 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
